PETSc version 3.15.5
Fix/Edit manual page

# PetscDTIndexToGradedOrder

convert an index into a tuple of monomial degrees in a graded order (that is, if the degree sum of tuple x is less than the degree sum of tuple y, then the index of x is smaller than the index of y)

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTIndexToGradedOrder(PetscInt len, PetscInt index, PetscInt degtup[])

### Input Parameters

| len | - the desired length of the degree tuple
| index | - the index to convert: should be >= 0

### Output Parameter

| degtup | - will be filled with a tuple of degrees

Note: for two tuples x and y with the same degree sum, partial degree sums over the final elements of the tuples acts as a tiebreaker. For example, (2, 1, 1) and (1, 2, 1) have the same degree sum, but the degree sum over the last two elements is smaller for the former, so (2, 1, 1) < (1, 2, 1).

### See Also

PetscDTGradedOrderToIndex()

### Level

beginner

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages